module.exports = {
    endpoint: 'https://w9r.dev',
    platform: 'gitea',
    persistRepoData: true,
    onboardingConfig: {
        'extends': [
            "local>w9r.dev/renovate-config"
        ]
    },
    onboardingPrTitle: 'Configure Renovate [ci skip]',
    labels: [
        'renovate'
    ],
    autodiscover: true,
    hostRules: [
        {
            hostType: 'maven',
            matchHost: 'https://nexus.w9r.dev',
            username: process.env.MAVEN_USERNAME,
            password: process.env.MAVEN_CENTRAL_TOKEN
        },
        {
            hostType: 'docker',
            matchHost: 'https://cr.w9r.dev',
            username: process.env.MAVEN_USERNAME,
            password: process.env.MAVEN_CENTRAL_TOKEN
        }
    ],
    packageRules: [
        {
            matchDatasources: ['maven'],
            registryUrls: ['https://nexus.w9r.dev/repository/maven-group']
        }
    ]
};